# Source script common for all upgrades
# this script contains some variables that will 
# be used around the upgrade

NEXT_GENERATION="llx1406"
NEXT_GENERATION_PATTERN="/platinum"
NEXT_CODENAME="pandora"

OLD_GENERATION="llx1306"
OLD_GENERATION_PATTERN="/pandora"
OLD_CODENAME="pandora"

BACKUP_SOURCES_LIST_PATH="/etc/apt/sources.list.backup-lliurex-up"
SOURCES_LIST_PATH="/etc/apt/sources.list"

PACKAGES_REMOVED_ON_SERVER="openjdk-6-jre-headless  openjdk-6-jre-lib openjdk-6-jre default-jre openjdk-6-jdk default-jdk libjama-java geogebra icedtea-6-jre-cacao default-jre-headless"
PACKAGES_INSTALL_ON_SERVER="lliurex-cdd-edu-class-gserver"

PACKAGES_INSTALL_ON_CLIENT="lliurex-cdd-edu-class-gclient"
PACKAGES_INSTALL_ON_DESKTOP="lliurex-cdd-edu-gdesktop"
PACKAGES_INSTALL_ON_MUSIC="lliurex-cdd-edu-music-gdesktop"
PACKAGES_INSTALL_ON_INFANTIL="lliurex-cdd-edu-infantil-gdesktop"
PACKAGES_INSTALL_ON_TEACHERS="lliurex-cdd-edu-class-teachers-gclient"
PACKAGES_INSTALL_ON_BIBLIOTECA="lliurex-cdd-edu-biblio-gserver"
PACKAGES_INSTALL_ON_LITE="lliurex-cdd-lxdesktop"
PACKAGES_INSTALL_ON_GVA="lliurex-cdd-gdesktop-gva"
PACKAGES_INSTALL_ON_PIME="lliurex-cdd-gdesktop-pime"
PACKAGES_INSTALL_ON_XDESKTOP="lliurex-cdd-xdesktop"

# APT PINNING FILE
PINNING_FILE="/usr/share/lliurex-up/lliurex-pinning.cfg"
PINNING_DEST="/etc/apt/preferences.d/lliurex-pinning"

TOKENPATH="/tmp/"
TOKENSERVER="isServer"
TOKENCLIENT="isClient"
TOKENDESKTOP="isDesktop"
TOKENMUSIC="isMusic"
TOKENINFANTIL="isInfantil"
TOKENLITE="isLite"
TOKENTEACHERS="isTeachers"
TOKENPIME="isPime"
TOKENBIBLIO="isBiblio"
TOKENGVA="isGva"
TOKENXDESKTOP="isXdesktop"

SOURCES_LIST_OK="deb http://lliurex.net/platinum pandora main restricted universe multiverse partner "

IS_SERVER=0
IS_CLIENT=0
IS_BIBLIO=0
IS_DESKTOP=0
IS_MUSIC=0
IS_INFANTIL=0
IS_TEACHERS=0
IS_LITE=0
IS_GVA=0
IS_PIME=0
IS_XDESKTOP=0

_test_and_remove_package()
{
    # Remove package
    rc=0
    dpkg -s ${1} >/dev/null 2>/dev/null || rc=1
    if [ ${rc} -eq 0 ]; then
        apt-get purge ${1} --force-yes -y
    else
        echo "[ LliureX UP Msg]: Package ${1} not found...nothing to do"
    fi
}

_isServer()
{
   if  [ ! -f  $TOKENPATH$TOKENSERVER ] ; then 
		IS_SERVER=1
	fi
}

_isClient()
{
	if [ ! -f $TOKENPATH$TOKENCLIENT ] ; then
		IS_CLIENT=1
	fi
}

_isGva()
{
	if [ ! -f "$TOKENPATH$TOKENGVA" ] ; then
		IS_GVA=1
	fi
}


_isBiblio()
{
	if [ ! -f $TOKENPATH$TOKENBIBLIO ] ; then
		IS_BIBLIO=1
	fi
}

_isDesktop()
{
	if [ ! -f $TOKENPATH$TOKENDESKTOP  ] ; then
		IS_DESKTOP=1
	fi
}

_isXdesktop()
{
	if [ ! -f $TOKENPATH$TOKENXDESKTOP  ] ; then
		IS_XDESKTOP=1
	fi
}

_isMusic()
{
	if  [ ! -f $TOKENPATH$TOKENMUSIC  ] ; then 
		IS_MUSIC=1
	fi
}

_isInfantil()
{
	if [ ! -f $TOKENPATH$TOKENINFANTIL ] ; then
		IS_INFANTIL=1
	fi
}

_isTeachers()
{
	if [ ! -f $TOKENPATH$TOKENTEACHERS  ] ; then
		IS_TEACHERS=1
	fi
}

_isLite()
{
	if  [ ! -f $TOKENPATH$TOKENLITE  ] ; then
		IS_LITE=1
	fi
}

_isPime()
{
    if [ ! -f $TOKENPATH$TOKENPIME ] ; then
        IS_PIME=1
    fi
}

######

_researchIsServer()
{
	lliurex-version -t server && touch 	$TOKENPATH$TOKENSERVER
}

_researchIsClient()
{
	lliurex-version -t client && touch $TOKENPATH$TOKENCLIENT
	lliurex-version -t network-client && touch $TOKENPATH$TOKENCLIENT
}

_researchIsBiblio()
{
	lliurex-version -t biblio && touch $TOKENPATH$TOKENBIBLIO
}

_researchIsGva()
{
	lliurex-version -t gva && touch $TOKENPATH$TOKENGVA

}
_researchIsDesktop()
{
	rc=0
	lliurex-version -t gnome || rc=1
	lliurex-version -t desktop || rc=1
	if [ $rc -eq 0 ] ; then
		touch $TOKENPATH$TOKENDESKTOP
	fi
}

_researchIsXdesktop()
{
	rc=0
	lliurex-version -t xdesktop || rc=1
	if [ $rc -eq 0 ] ; then
		touch $TOKENPATH$TOKENXDESKTOP
	fi
}


_researchIsMusic()
{
	lliurex-version -t music && touch $TOKENPATH$TOKENMUSIC
}

_researchIsInfantil()
{
	lliurex-version -t infantil && touch $TOKENPATH$TOKENINFANTIL
}

_researchIsTeachers()
{
	lliurex-version -t teachers && touch $TOKENPATH$TOKENTEACHERS
}

_researchIsLite()
{
	rc=0
	lliurex-version -t lxde || rc=1
	lliurex-version -t desktop || rc=1
	if [ $rc -eq 0 ]; then
		touch $TOKENPATH$TOKENLITE
	fi
}

_researchIsPime()
{
	lliurex-version -t pime && touch $TOKENPATH$TOKENPIME
}

# Discover cdd-version for values

_discoverCddVersion()
{
	_isServer
	_isClient
	_isBiblio
	_isPime
	_isGva
	_isDesktop
	_isXdesktop
	_isMusic
	_isInfantil
	_isTeachers
	_isLite

}

_researchCddVersion()
{
	_researchIsServer
	_researchIsClient
	_researchIsBiblio
	_researchIsPime
	_researchIsGva
	_researchIsMusic
	_researchIsDesktop
	_researchIsXdesktop
	_researchIsInfantil
	_researchIsTeachers
	_researchIsLite
}

